This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 701316 - RFE: [Eclipse Mylyn Reviews] Package it for Fedora, once Google's GSON is in Fedora
RFE: [Eclipse Mylyn Reviews] Package it for Fedora, once Google's GSON is in ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse-mylyn (Show other bugs)
15
All Linux
low Severity low
: ---
: ---
Assigned To: Severin Gehwolf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-02 11:10 EDT by Severin Gehwolf
Modified: 2011-11-09 14:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-09 14:51:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Severin Gehwolf 2011-05-02 11:10:18 EDT
The core plug-in for the org.eclipse.mylyn.reviews-feature, org.eclipse.mylyn.reviews.core, requires comm.google.gson;version="1.4.0" and com.google.gson.reflect;version="1.4.0" which is not in Fedora. Once it is in Fedora, we should create a new SRPM, eclipse-mylyn-reviews, and package what we can. Gerrit related plug-ins may be tricky, since these require:
 com.google.gerrit.common.auth.userpass;version="2.1.5",
 com.google.gerrit.common.data;version="2.1.5",
 com.google.gerrit.prettify.common;version="2.1.5",
 com.google.gerrit.reviewdb;version="2.1.5",
 com.google.gson;version="1.6.0",
 com.google.gson.reflect;version="1.6.0",
 com.google.gwt.user.client.rpc,
 com.google.gwtjsonrpc.client;version="1.2.2",
 com.google.gwtjsonrpc.server;version="1.2.2",
 com.google.gwtorm.client;version="1.1.4"
 
Eventually, it would be nice to have Mylyn Reviews (including gerrit things) in Fedora :)
Comment 1 Alexander Kurtakov 2011-07-06 08:56:59 EDT
gson is in fedora. Feel free to finish this work.
Comment 2 Alexander Kurtakov 2011-10-13 11:31:57 EDT
Andrew,
Please take a look at it.
Comment 3 Severin Gehwolf 2011-11-09 14:51:56 EST
Review request for this is bug 749673. Closing this one.

Note You need to log in before you can comment on or make changes to this bug.